Bug 1278374 - (CVE-2015-8077) CVE-2015-8077 cyrus-imapd: Integer overflow in range checks
CVE-2015-8077 cyrus-imapd: Integer overflow in range checks
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151026,repor...
: Security
Depends On: 1278375
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 06:13 EST by Adam Mariš
Modified: 2015-11-06 15:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 06:19:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-05 06:13:30 EST
An integer overflow vulnerability that emerged after applying partial fix for CVE-2015-8076 by commit https://cyrus.foundation/cyrus-imapd/commit/?id=07de4ff1bf2fa340b9d77b8e7de8d43d47a33921 was found.

Upstream patch:

https://cyrus.foundation/cyrus-imapd/commit/?id=745e161c834f1eb6d62fc14477f51dae799e1e08

CVE assignment:

http://seclists.org/oss-sec/2015/q4/223
Comment 1 Adam Mariš 2015-11-05 06:13:51 EST
Created cyrus-imapd tracking bugs for this issue:

Affects: fedora-all [bug 1278375]
Comment 3 Adam Mariš 2015-11-06 15:11:46 EST
Statement:

Not vulnerable. This issue did not affect the versions of cyrus-imapd as shipped with Red Hat Enterprise Linux 5, 6 and 7, as they did not include the patch to fix CVE-2015-8076, which introduced the CVE-2015-8077 issue.

Note You need to log in before you can comment on or make changes to this bug.